Arduino

Reference Language | Libraries | Comparison | Changes

## SoftwareSerial: isListening()

#### Description

Tests to see if requested software serial port is actively listening.

#### Syntax

mySerial.isListening()

#### Parameters

none

#### Returns

boolean

#### Example

#include <SoftwareSerial.h>
// software serial : TX = digital pin 2, RX = digital pin 3
SoftwareSerial portOne(2, 3);
void setup()
{
// Start the hardware serial port
Serial.begin(9600);
// Start software serial port
portOne.begin(9600);
}
void loop()
{
if (portOne.isListening()) {
Serial.println("Port One is listening!");
}
[Get Code]

#### See also

- SoftwareSerial()
- read()
- print()
- println()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes